org.apache.ivy.core.retrieve

## Class RetrieveOptions

- java.lang.Object
- - org.apache.ivy.core.LogOptions
  - - org.apache.ivy.core.retrieve.RetrieveOptions

    public class RetrieveOptions
    extends LogOptions

A set of options used during retrieve related tasks

See Also:
  `RetrieveEngine`

### Field Summary

Fields
`static java.lang.String` `OVERWRITEMODE_ALWAYS`
`static java.lang.String` `OVERWRITEMODE_DIFFERENT`
`static java.lang.String` `OVERWRITEMODE_NEVER`
`static java.lang.String` `OVERWRITEMODE_NEWER`

### Fields inherited from class org.apache.ivy.core.LogOptions

`LOG_DEFAULT, LOG_DOWNLOAD_ONLY, LOG_QUIET`

### Constructor Summary

Constructors
Constructor and Description
`RetrieveOptions()`
`RetrieveOptions(RetrieveOptions options)`

### Method Summary

Methods
`Filter` `getArtifactFilter()`
`java.lang.String[]` `getConfs()`
`java.lang.String` `getDestArtifactPattern()`
`java.lang.String` `getDestIvyPattern()`
`FileNameMapper` `getMapper()`
`java.lang.String` `getOverwriteMode()`
`java.lang.String` `getResolveId()`
`boolean` `isMakeSymlinks()`
`boolean` `isMakeSymlinksInMass()`
`boolean` `isSync()`
`boolean` `isUseOrigin()`
`RetrieveOptions` `setArtifactFilter(Filter artifactFilter)`
`RetrieveOptions` `setConfs(java.lang.String[] confs)`
`RetrieveOptions` `setDestArtifactPattern(java.lang.String destArtifactPattern)`
`RetrieveOptions` `setDestIvyPattern(java.lang.String destIvyPattern)`
`RetrieveOptions` `setMakeSymlinks(boolean makeSymlinks)`
`RetrieveOptions` `setMakeSymlinksInMass(boolean makeSymlinksInMass)`
`RetrieveOptions` `setMapper(FileNameMapper mapper)`
`RetrieveOptions` `setOverwriteMode(java.lang.String overwriteMode)`
`RetrieveOptions` `setResolveId(java.lang.String resolveId)`
`RetrieveOptions` `setSync(boolean sync)`
`RetrieveOptions` `setUseOrigin(boolean useOrigin)`

### Methods inherited from class org.apache.ivy.core.LogOptions

`getLog, setLog`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### OVERWRITEMODE_NEVER

    public static final java.lang.String OVERWRITEMODE_NEVER

See Also:
  Constant Field Values

#### OVERWRITEMODE_ALWAYS

    public static final java.lang.String OVERWRITEMODE_ALWAYS

See Also:
  Constant Field Values

#### OVERWRITEMODE_NEWER

    public static final java.lang.String OVERWRITEMODE_NEWER

See Also:
  Constant Field Values

#### OVERWRITEMODE_DIFFERENT

    public static final java.lang.String OVERWRITEMODE_DIFFERENT

See Also:
  Constant Field Values

### Constructor Detail

#### RetrieveOptions

    public RetrieveOptions()

#### RetrieveOptions

    public RetrieveOptions(RetrieveOptions options)

### Method Detail

#### getDestArtifactPattern

    public java.lang.String getDestArtifactPattern()

#### setDestArtifactPattern

    public RetrieveOptions setDestArtifactPattern(java.lang.String destArtifactPattern)

#### getArtifactFilter

    public Filter getArtifactFilter()

#### setArtifactFilter

    public RetrieveOptions setArtifactFilter(Filter artifactFilter)

#### getConfs

    public java.lang.String[] getConfs()

#### setConfs

    public RetrieveOptions setConfs(java.lang.String[] confs)

#### getOverwriteMode

    public java.lang.String getOverwriteMode()

#### setOverwriteMode

    public RetrieveOptions setOverwriteMode(java.lang.String overwriteMode)

#### getDestIvyPattern

    public java.lang.String getDestIvyPattern()

#### setDestIvyPattern

    public RetrieveOptions setDestIvyPattern(java.lang.String destIvyPattern)

#### isMakeSymlinks

    public boolean isMakeSymlinks()

#### isMakeSymlinksInMass

    public boolean isMakeSymlinksInMass()

#### setMakeSymlinks

    public RetrieveOptions setMakeSymlinks(boolean makeSymlinks)

#### setMakeSymlinksInMass

    public RetrieveOptions setMakeSymlinksInMass(boolean makeSymlinksInMass)

#### isSync

    public boolean isSync()

#### setSync

    public RetrieveOptions setSync(boolean sync)

#### isUseOrigin

    public boolean isUseOrigin()

#### setUseOrigin

    public RetrieveOptions setUseOrigin(boolean useOrigin)

#### getResolveId

    public java.lang.String getResolveId()

#### setResolveId

    public RetrieveOptions setResolveId(java.lang.String resolveId)

#### getMapper

    public FileNameMapper getMapper()

#### setMapper

    public RetrieveOptions setMapper(FileNameMapper mapper)